<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package Behold
 * @since Behold 1.0.0
 */
?>
	<div id="comments">
	<?php if ( post_password_required() ) : ?>
		<p class="nopassword"><?php _e( 'This post is password protected. Enter the password to view any comments.', 'Behold' ); ?></p>
	</div> <!-- #comments -->
	<?php
			/* Stop the rest of comments.php from being processed,
			 * but don't kill the script entirely -- we still have
			 * to fully load the template.
			 */
			return;
		endif;
	?>

	<?php if ( have_comments() ) : ?>
		<h3 id="comments-title">
			<?php
				printf( _n( 'One comment on &ldquo;%2$s&rdquo;', '%1$s responses so far on &ldquo;%2$s&rdquo;', get_comments_number(), 'Behold' ),
					number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
			?>
		</h3>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<div id="comment-nav-above" class="group">
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'Behold' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'Behold' ) ); ?></div>
		</div>
		<?php endif; // check for comment navigation ?>

		<ol class="commentlist">
			<?php
				/* Loop through and list the comments. Tell wp_list_comments()
				 * to use behold_comment() to format the comments.
				 * If you want to overload this in a child theme then you can
				 * define behold_comment() and that will be used instead.
				 * See behold_comment() in /functions.php for more.
				 */
				wp_list_comments( array( 'callback' => 'behold_comment' ) );
			?>
		</ol>

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<div id="comment-nav-below">
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'Behold' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'Behold' ) ); ?></div>
		</div>
		<?php endif; // check for comment navigation ?>

	<?php
		/* If there are no comments and comments are closed, let's leave a little note, shall we?
		 * But we don't want the note on pages or post types that do not support comments.
		 */
		elseif ( ! comments_open() && ! is_page() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="nocomments"><?php _e( 'Comments are closed.', 'Behold' ); ?></p>
	<?php endif; ?>

	
	
	<?php 
	
	$comments_args = array(
        // change the title of send button 
        'title_reply'=>'<h2>' . _x( 'Leave your response.', 'Behold') . '</h2>',
        // remove "Text or HTML to be displayed after the set of comment fields"
        'comment_notes_after' => '',
        // redefine your own textarea (the comment body)
        'comment_field' => 
			'<p class="comment-form-comment"><label for="comment">' . _x( 'Comment', 'Behold' ) . '</label><br />
				<textarea id="comment" name="comment" aria-required="true" placeholder="Please type your comment here."></textarea>
			</p>',
			
		
	);
		comment_form($comments_args);
	
	?>

</div><!-- #comments -->
